#
# spec file for package g-print (Version 0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile control-center esound esound-devel glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel indent libjpeg libpng libtiff libungif orbit orbit-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress control-center cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel indent kbd less libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         g-print
%define ver      0.9
%define rel      0
%define prefix   /opt/gnome
%define sysconfdir /etc/opt/gnome
%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Copyright:    GPL 
Group:        X11/GNOME/Utilities
Obsoletes:    gprint 
Provides:     gprint
Autoreqprov:  on
Summary:      GNOME Printer Interface
Version:      0.2
Release:      242
Source:    ftp://ftp.gnome.org/pub/GNOME/sources/g-print/g-print-0.2.tar.gz
Patch:     g-print-0.2.dif
BuildRoot: /var/tmp/g_print-root
URL:       http://www.gnome.org
Docdir:    /usr/share/doc/packages/gnome

%description
Symbolic representation of printers of the system.

Authors:
--------
    Miguel de Icaza <miguel@nuclecu.unam.mx>

SuSE series: gnm

%prep
%setup -n g-print-0.2
%patch -p1
# automake
# autoconf
CFLAGS="$RPM_OPT_FLAGS" \
LIBS=-L/usr/X11R6/lib ./configure \
    --prefix=%prefix \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --sysconfdir=%sysconfdir

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make   prefix=$RPM_BUILD_ROOT%{prefix} \
       sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
       datadir=$RPM_BUILD_ROOT%{prefix}/share \
       localstatedir=$RPM_BUILD_ROOT/var/lib \
       install

%clean
# rm -rf $RPM_BUILD_ROOT
# %post -p /sbin/ldconfig
# 
# %postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING NEWS README
%{prefix}/bin/*
%{prefix}/man/*/*
#%{prefix}/share/locale/*/*/*

%changelog -n g-print
* Tue Mar 20 2001 - hhetter@suse.de
- added esound-devel to neededforbuild
* Tue Mar 13 2001 - schwab@suse.de
- Fix specfile.
* Fri Mar 09 2001 - ro@suse.de
- added xf86
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Thu Nov 09 2000 - ro@suse.de
- fixed obsoletes
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sat Sep 23 2000 - bk@suse.de
- removed gnobjc from neededforbuild
* Mon May 22 2000 - egger@suse.de
- The usual changes to satisfy the new autobuild scripts.
- THIS PACKAGE IS HOPELESS OUTDATED! (Just a reminder for me :))
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 20 1999 - ke@suse.de
- - fixed option[4] (again).
* Thu Jul 15 1999 - ke@suse.de
- update: version 0.2.
- neededforbuild libgif instead of libungif.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Apr 27 1999 - ro@suse.de
- fixed option[4] "desktop-dir"
* Tue Mar 02 1999 - ke@suse.de
- initial package: version 0.1.
